<?php
class Figero_Customizer {
    public static function Figero_Register($wp_customize) {
        self::Figero_Sections($wp_customize);
        self::Figero_Controls($wp_customize);
    }
    public static function Figero_Sections($wp_customize) {
        /**
         * General Section
         */
        $wp_customize->add_section('general_setting_section', array(
            'title' => __('General Settings', 'figero'),
            'description' => __('Allows you to customize header logo, favicon, background etc settings for Figero Theme.', 'figero'), //Descriptive tooltip
            'panel' => '',
            'priority' => '10',
            'capability' => 'edit_theme_options'
            )
        );
        /**
         * Home Page Top Feature Area
         */
        $wp_customize->add_section('home_top_feature_area', array(
            'title' => __('Top Feature Area', 'figero'),
            'description' => __('Allows you to setup Top feature area section for Figero Theme.', 'figero'), //Descriptive tooltip
            'panel' => '',
            'priority' => '11',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page Feature area setting
         */
        $wp_customize->add_section('home_page_two_col_feature', array(
            'title' => __('Home Page Two Coulmn Feature', 'figero'),
            'description' => __('Allows you to setup Coulmn Feature Section for Figero Theme.', 'figero'),
            'panel' => '',
            'priority' => '12',
            'capability' => 'edit_theme_options'
             )
        );
        /**
         * Add panel for home page feature area
         */
        $wp_customize->add_panel('home_page_feature_area_panel', array(
            'title' => __('Home Page Feature Area', 'figero'),
            'description' => __('Allows you to setup home page feature area section for Figero Theme.', 'figero'),
            'priority' => '13',
            'capability' => 'edit_theme_options'
        ));        
        /**
         * Home Page feature area 1
         */
        $wp_customize->add_section('home_feature_area_section1', array(
            'title' => __('First Feature Area', 'figero'),
            'description' => __('Allows you to setup first feature area section for Figero Theme.', 'figero'),
            'panel' => 'home_page_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page feature area 2
         */
        $wp_customize->add_section('home_feature_area_section2', array(
            'title' => __('Second Feature Area', 'figero'),
            'description' => __('Allows you to setup second feature area section for Figero Theme.', 'figero'),
            'panel' => 'home_page_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Home Page feature area 3
         */
        $wp_customize->add_section('home_feature_area_section3', array(
            'title' => __('Third Feature Area', 'figero'),
            'description' => __('Allows you to setup third feature area section for Figero Theme.', 'figero'),
            'panel' => 'home_page_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );   
        /**
         * Home Page feature area 4
         */
        $wp_customize->add_section('home_feature_area_section4', array(
            'title' => __('Fourth Feature Area', 'figero'),
            'description' => __('Allows you to setup fourth feature area section for Figero Theme.', 'figero'),
            'panel' => 'home_page_feature_area_panel',
            'priority' => '',
            'capability' => 'edit_theme_options'
                )
        );  
        /**
         * Social Icon Section
         */
        $wp_customize->add_section('social_icon_section', array(
            'title' => __('Social Icons', 'figero'),
            'description' => __('Allows you to setup social site link for Figero Theme.', 'figero'),
            'panel' => '',
            'priority' => '14',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Style Section
         */
        $wp_customize->add_section('style_section', array(
            'title' => __('Style Setting', 'figero'),
            'description' => __('Allows you to setup Top Footer Section Text for Figero Theme.', 'figero'),
            'panel' => '',
            'priority' => '15',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Footer Section
         */
        $wp_customize->add_section('footer_settings', array(
            'title' => __('Footer Settings', 'figero'),
            'description' => __('Allows you to change style using custom css for Figero Theme.', 'figero'),
            'panel' => '',
            'priority' => '16',
            'capability' => 'edit_theme_options'
                )
        ); 
    }
    public static function Figero_Section_Content() {

        $section_content = array(
            'general_setting_section' => array(
                'figero_logo',
                'figero_favicon'
            ),
            'home_top_feature_area' => array(
                'figero_slideheading1',
                'figero_slidedescription1',
                'figero_slidel_rb_1',
                'figero_slidel_r_1',
                'figero_slidel_lb_1',
                'figero_slidel_l_1',
                'figero_slideimage1'
            ),
            'home_page_two_col_feature' => array(
                 'figero_headline1',
                 'figero_feature1',
                 'figero_headline2', 
                 'figero_testo_image1',
                 'figero_testo_desc1'
            ),
            'home_feature_area_section1' => array(
                'figero_featured_img_1',
                'figero_featured_h_1',
                'figero_featured_1'
            ),
            'home_feature_area_section2' => array(
                'figero_featured_img_2',
                'figero_featured_h_2',
                'figero_featured_2'
            ),
            'home_feature_area_section3' => array(
                'figero_featured_img_3',
                'figero_featured_h_3',
                'figero_featured_3'
            ),
            'home_feature_area_section4' => array(
                'figero_featured_img_4',
                'figero_featured_h_4',
                'figero_featured_4'
            ),
             'style_section' => array(
                'figero_customcss'
            ),
        );
        return $section_content;
    }
    public static function Figero_Settings() {
        $figero_settings = array(
            'figero_logo' => array(
                'id' => 'figero_options[figero_logo]',
                'label' => __('Custom Logo', 'figero'),
                'description' => __('Choose your own logo. Optimal Size: 221px Wide by 84px Height.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/logo.png'
            ),
            'figero_favicon' => array(
                'id' => 'figero_options[figero_favicon]',
                'label' => __('Custom Favicon', 'figero'),
                'description' => __('Here you can upload a Favicon for your Website. Specified size is 16px x 16px.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => ''
            ),
            // Top Feature Section
            'figero_slideheading1' => array(
                'id' => 'figero_options[figero_slideheading1]',
                'label' => __('Top Feature Heading', 'figero'),
                'description' => __('Mention the heading for the Top Feature.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Your Main Heading comes right here.', 'figero')
            ),           
            'figero_slidedescription1' => array(
                'id' => 'figero_options[figero_slidedescription1]',
                'label' => __('Top Feature Description', 'figero'),
                'description' => __('Here mention a short description for the Top Feature heading.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Well, Here it come, a Theme which enables you to built your website in few clicks. Whats even more Amazing you can setup literally everything using simple to use options panel.', 'figero')
            ),
            'figero_slidel_rb_1' => array(
                'id' => 'figero_options[figero_slidel_rb_1]',
                'label' => __('Text For First Button', 'figero'),
                'description' => __('Enter the Text for First Button.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => __('Read More', 'figero')
            ),
             'figero_slidel_r_1' => array(
                'id' => 'figero_options[figero_slidel_r_1]',
                'label' => __('Link For First Button', 'figero'),
                'description' => __('Enter the Link URL for First Button.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'figero_slidel_lb_1' => array(
                'id' => 'figero_options[figero_slidel_lb_1]',
                'label' => __('Text For Second Button', 'figero'),
                'description' => __('Enter the Text for Second Button.', 'figero'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => __('Learn More', 'figero')
            ),
             'figero_slidel_l_1' => array(
                'id' => 'figero_options[figero_slidel_l_1]',
                'label' => __('Link For Second Button', 'figero'),
                'description' => __('Enter the Link URL for Second Button.', 'figero'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'figero_slideimage1' => array(
                'id' => 'figero_options[figero_slideimage1]',
                'label' => __('Top Feature Image', 'figero'),
                'description' => __('Choose your image to your feature area. Optimal Size: 516px x 300px', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/image1.png'
            ),
             // Two Coulmn Feature
            'figero_headline1' => array(
                'id' => 'figero_options[figero_headline1]',
                'label' => __('Left Column Heading', 'figero'),
                'description' => __('Enter your heading line for left column.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Easy & Simple to use Theme', 'figero')
            ),  
            'figero_feature1' => array(
                'id' => 'figero_options[figero_feature1]',
                'label' => __('Left Column Description', 'figero'),
                'description' => __('Enter your feature content for left column.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Figero Theme (for Wordpress) makes it easy to build informational websites with Maximum Revenue using awesome Home Page. Different Business types can use the Theme to tell about their products or services in easiest possible ways. Website building is now simpler then everbefore.', 'figero')
            ), 
            'figero_headline2' => array(
                'id' => 'figero_options[figero_headline2]',
                'label' => __('Clients Testimonial', 'figero'),
                'description' => __('Enter your heading line for right column.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Happy Customers', 'figero')
            ),
            'figero_testo_image1' => array(
                'id' => 'figero_options[figero_testo_image1]',
                'label' => __('Right Column Image', 'figero'),
                'description' => __('Choose image for right column section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/neeraj.jpg'
            ),
             'figero_testo_desc1' => array(
                'id' => 'figero_options[figero_testo_desc1]',
                'label' => __('Right Column Description', 'figero'),
                'description' => __('Enter description for right column section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Using Figero Theme, I turned a .com domain into a rocking website, which my customers love to visit all the time. I feel like a rockstar myself.', 'figero')
            ),
            // First Feature Box
            'figero_featured_img_1' => array(
                'id' => 'figero_options[figero_featured_img_1]',
                'label' => __('First Feature Image', 'figero'),
                'description' => __('Choose your image for first feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/2.png'
            ),
            'figero_featured_h_1' => array(
                'id' => 'figero_options[figero_featured_h_1]',
                'label' => __('First Feature Heading', 'figero'),
                'description' => __('Mention the heading for first Feature Box that will showcase your business services.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('What Figero Theme Do', 'figero')
            ),       
            'figero_featured_1' => array(
                'id' => 'figero_options[figero_featured_1]',
                'label' => __('First Feature Section Description', 'figero'),
                'description' => __('Enter your content for first feature section descriptions.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Product Developers/ Internet Marketer make more sales when they can easily display their products with the buy links in the perfect location. Act theme with good design principal boosts your sales figure. Works as a great Landing Page as well.', 'figero')
            ),
            // Second Feature Box
           'figero_featured_img_2' => array(
                'id' => 'figero_options[figero_featured_img_2]',
                'label' => __('Second Feature Image', 'figero'),
                'description' => __('Choose your image for second feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/5.png'
            ),
            'figero_featured_h_2' => array(
                'id' => 'figero_options[figero_featured_h_2]',
                'label' => __('Second Feature Heading', 'figero'),
                'description' => __('Mention the heading for second Feature Box that will showcase your business services.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Easy to use Options Panel', 'figero')
            ),       
            'figero_featured_2' => array(
                'id' => 'figero_options[figero_featured_2]',
                'label' => __('Second Feature Section Description', 'figero'),
                'description' => __('Enter your content for second feature section descriptions.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('You can easily setup individual pages for different products with different Paypal Links. So, you can develop a website where you can enable single/multiusers to sell different products at same place without any hassles.', 'figero')
            ),
             // Third Feature Box
            'figero_featured_img_3' => array(
                'id' => 'figero_options[figero_featured_img_3]',
                'label' => __('Third Feature Image', 'figero'),
                'description' => __('Choose your image for third feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/6.png'
            ),
            'figero_featured_h_3' => array(
                'id' => 'figero_options[figero_featured_h_3]',
                'label' => __('Third Feature Heading', 'figero'),
                'description' => __('Mention the heading for third Feature Box that will showcase your business services.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Fully Featured Admin Panel', 'figero')
            ),       
            'figero_featured_3' => array(
                'id' => 'figero_options[figero_featured_3]',
                'label' => __('Third Feature Section Description', 'figero'),
                'description' => __('Enter your content for third feature section descriptions.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('No more messing around with theme files or hunting for the right plugin to place your Paypal code or adjust theme settings. Act Themes admin panel makes everything so easier and simpler like never before.', 'figero')
            ),
             // Fourth Feature Box
            'figero_featured_img_4' => array(
                'id' => 'figero_options[figero_featured_img_4]',
                'label' => __('Fourth Feature Image', 'figero'),
                'description' => __('Choose your image for fourth feature section.', 'figero'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/7.png'
            ),
            'figero_featured_h_4' => array(
                'id' => 'figero_options[figero_featured_h_4]',
                'label' => __('Fourth Feature Heading', 'figero'),
                'description' => __('Mention the heading for fourth Feature Box that will showcase your business services.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Super Fast Load Times', 'figero')
            ),       
            'figero_featured_4' => array(
                'id' => 'figero_options[figero_featured_4]',
                'label' => __('Fourth Feature Section Description', 'figero'),
                'description' => __('Enter your content for fourth feature section descriptions.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Figero Theme is optimized to load super fast, helping to reduce visitor bounce rates. With site load time now being used as a ranking factor, you will never have to worry about your site getting hit with a Google performance penalty.', 'figero')
            ),
            // Custom Css    
            'figero_customcss' => array(
                'id' => 'figero_options[figero_customcss]',
                'label' => __('Custom CSS', 'figero'),
                'description' => __('Quickly add your custom CSS code to your theme by writing the code in this block.', 'figero'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),              
        );
        return $figero_settings;
    }
    public static function Figero_Controls($wp_customize) {
        $sections = self::Figero_Section_Content();
        $settings = self::Figero_Settings();
        foreach ($sections as $section_id => $section_content) {
            foreach ($section_content as $section_content_id) {
                switch ($settings[$section_content_id]['setting_type']) {
                    case 'image':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'figero_sanitize_url');
                        $wp_customize->add_control(new WP_Customize_Image_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;
                    case 'text':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'figero_sanitize_text');
                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;
                    case 'textarea':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'figero_sanitize_textarea');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;
                    case 'link':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'figero_sanitize_url');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));

                        break;
                    default:
                        break;
                }
            }
        }
    }
    public static function add_setting($wp_customize, $setting_id, $default, $type, $sanitize_callback) {
        $wp_customize->add_setting($setting_id, array(
            'default' => $default,
            'capability' => 'edit_theme_options',
            'sanitize_callback' => array('Figero_Customizer', $sanitize_callback),
            'type' => $type
                )
        );
    }
    /**
     * adds sanitization callback funtion : textarea
     * @package Figero
     */
    public static function figero_sanitize_textarea($value) {
        $value = esc_html($value);
        return $value;
    }
    /**
     * adds sanitization callback funtion : url
     * @package Figero
     */
    public static function figero_sanitize_url($value) {
        $value = esc_url($value);
        return $value;
    }
    /**
     * adds sanitization callback funtion : text
     * @package Figero
     */
    public static function figero_sanitize_text($value) {
        $value = sanitize_text_field($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : email
     * @package Figero
     */
    public static function figero_sanitize_email($value) {
        $value = sanitize_email($value);
        return $value;
    }

    /**
     * adds sanitization callback funtion : number
     * @package Figero
     */
    public static function figero_sanitize_number($value) {
        $value = preg_replace("/[^0-9+ ]/", "", $value);
        return $value;
    }

}
// Setup the Theme Customizer settings and controls...
add_action('customize_register', array('Figero_Customizer', 'Figero_Register'));
function inkthemes_registers() {
          wp_register_script( 'inkthemes_jquery_ui', '//code.jquery.com/ui/1.11.0/jquery-ui.js', array("jquery"), true  );
	wp_register_script( 'inkthemes_customizer_script', get_template_directory_uri() . '/js/inkthemes_customizer.js', array("jquery","inkthemes_jquery_ui"), true  );
	wp_enqueue_script( 'inkthemes_customizer_script' );
	wp_localize_script( 'inkthemes_customizer_script', 'ink_advert', array(
            'pro' => __('View PRO version','figero'),
            'url' => esc_url('http://www.inkthemes.com/wp-themes/single-product-launch-theme/')
            )
            );
}
add_action( 'customize_controls_enqueue_scripts', 'inkthemes_registers' );
